import { __assign, __rest } from "tslib";
import React, { useContext } from 'react';
import { motion } from 'framer-motion';
import { AccordionContext } from './Accordion';
var AccordionBody = function (_a) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    var isOpen = useContext(AccordionContext).isOpen;
    return (React.createElement(motion.div, __assign({ className: className, initial: false, animate: { height: isOpen ? 'auto' : 0, opacity: isOpen ? 1 : 0 }, transition: { duration: 0.3, ease: 'easeInOut' }, style: { overflow: 'hidden' } }, props),
        React.createElement("div", { className: "pb-4 pt-0 text-sm text-[#0d0d26] dark:text-[#f2f7ff] transition-all" }, children)));
};
export default AccordionBody;
//# sourceMappingURL=AccordionBody.js.map