import { __assign, __rest } from "tslib";
import React, { useContext } from 'react';
import { motion } from 'framer-motion';
import { AccordionContext } from './Accordion';
var AccordionHeader = function (_a) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    var _b = useContext(AccordionContext), isOpen = _b.isOpen, toggle = _b.toggle;
    return (React.createElement(motion.button, __assign({ className: "flex flex-1 text-[#0d0d26] dark:text-[#f2f7ff] items-center justify-between py-4 w-full font-medium transition-all hover:underline ".concat(className), onClick: toggle }, props),
        children,
        React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 24 24", strokeWidth: "1.5", stroke: "currentColor", className: "h-4 w-4 shrink-0 transition-transform duration-200 ".concat(isOpen ? 'rotate-180' : '') },
            React.createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "m19.5 8.25-7.5 7.5-7.5-7.5" }))));
};
export default AccordionHeader;
//# sourceMappingURL=AccordionHeader.js.map