import React from 'react';
export default function Avatar(_a) {
    var className = _a.className, fallback = _a.fallback, name = _a.name, src = _a.src;
    return (React.createElement("div", { className: className },
        React.createElement("div", { className: "relative flex h-10 w-10 shrink-0 overflow-hidden rounded-full" },
            fallback && !src && (React.createElement("span", { className: "flex h-full w-full items-center justify-center rounded-full bg-[#e9f0ff] text-[#6e7781] dark:bg-[#2b2b36] dark:text-[#8b99a6]" }, fallback)),
            src && !fallback && (React.createElement("img", { src: src, className: "aspect-square h-full w-full", alt: "avatar" }))),
        React.createElement("span", { className: "font-medium block my-2" }, name)));
}
//# sourceMappingURL=Avatar.js.map