import { __assign, __rest } from "tslib";
import * as React from 'react';
import clsx from 'clsx';
var BreadcrumbEllipsis = function (_a) {
    var className = _a.className, props = __rest(_a, ["className"]);
    return (React.createElement("span", __assign({ role: "presentation", "aria-hidden": "true", className: clsx('flex h-9 w-9 items-center justify-center', className) }, props),
        React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 24 24", strokeWidth: 1.5, stroke: "currentColor", className: "h-4 w-4" },
            React.createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "M6.75 12a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0ZM12.75 12a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0ZM18.75 12a.75.75 0 1 1-1.5 0 .75.75 0 0 1 1.5 0Z" })),
        React.createElement("span", { className: "sr-only" }, "More")));
};
BreadcrumbEllipsis.displayName = 'BreadcrumbElipssis';
export default BreadcrumbEllipsis;
//# sourceMappingURL=BreadcrumbEllipsis.js.map