import { __assign, __rest } from "tslib";
import * as React from 'react';
import clsx from 'clsx';
var BreadcrumbLink = React.forwardRef(function (_a, ref) {
    var asChild = _a.asChild, _b = _a.component, Component = _b === void 0 ? 'a' : _b, className = _a.className, props = __rest(_a, ["asChild", "component", "className"]);
    var Comp = asChild && Component ? Component : 'a';
    return (React.createElement(Comp, __assign({ ref: ref, className: clsx('transition-colors text-[#475569] hover:text-[#020617] dark:text-[#cbd5e1] dark:hover:text-white', className) }, props)));
});
BreadcrumbLink.displayName = 'BreadcrumbLink';
export default BreadcrumbLink;
//# sourceMappingURL=BreadcrumbLink.js.map