import { __assign, __rest } from "tslib";
import * as React from 'react';
import clsx from 'clsx';
export default function Card(_a) {
    var className = _a.className, children = _a.children, prop = __rest(_a, ["className", "children"]);
    return (React.createElement("div", __assign({ className: clsx(className, 'rounded-lg border border-[#e4e4e7] dark:border-[#27272a] bg-white text-[#18181b] dark:bg-black dark:text-white shadow-sm') }, prop), children));
}
//# sourceMappingURL=Card.js.map