import { __assign, __rest } from "tslib";
import * as React from 'react';
import clsx from 'clsx';
var DropdownMenuItem = React.forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    return (React.createElement("div", __assign({ ref: ref, className: clsx('relative flex gap-2 select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none hover:bg-[#e4e4e7] dark:hover:bg-[#27272a]', className) }, props), children));
});
DropdownMenuItem.displayName = 'DropdownMenuItem';
export default DropdownMenuItem;
//# sourceMappingURL=DropdownMenuItem.js.map