import React from 'react';
import { motion } from 'framer-motion';
export default function PopoverContent(_a) {
    var children = _a.children;
    return (React.createElement(motion.div, { initial: { opacity: 0, scale: 1, x: 0, y: 0 }, animate: { opacity: 1, scale: 1, x: 0, y: 0 }, transition: { duration: 0.2, ease: 'easeInOut' } },
        React.createElement("div", { className: "z-50 w-72 rounded-md border border-[#e4e4e7] dark:border-[#27272a] bg-white dark:bg-black p-4 mt-1 text-[#1c1c1c] dark:text-[#f2f7ff] shadow-md outline-none" }, children)));
}
//# sourceMappingURL=PopoverContent.js.map