import { __assign, __rest } from "tslib";
import React, { forwardRef } from 'react';
import clsx from 'clsx';
var Select = forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    return (React.createElement(React.Fragment, null,
        React.createElement("select", __assign({ ref: ref }, props, { className: clsx(className, 'w-full transition placeholder:transition focus:ring-transparent rounded-lg p-2.5 caret-[#0c6ba8] hover:border-[#18181b] dark:hover:border-[#d4d4d8] hover:placeholder:text-[#18181b] dark:hover:placeholder:text-[#d4d4d8] bg-white dark:bg-black text-[#18181b] dark:text-[#d4d4d8] focus:border-[#18181b] dark:focus:border-[#d4d4d8] focus:placeholder:text-[#18181b] dark:focus:placeholder:text-[#d4d4d8] disabled:cursor-not-allowed disabled:opacity-50') }), children)));
});
Select.displayName = 'Select';
export default Select;
//# sourceMappingURL=Select.js.map