import { __assign, __rest } from "tslib";
import React, { forwardRef, } from 'react';
import clsx from 'clsx';
var Switch = forwardRef(function (_a, ref) {
    var className = _a.className, onChange = _a.onChange, _b = _a.messages, messages = _b === void 0 ? [] : _b, props = __rest(_a, ["className", "onChange", "messages"]);
    return (React.createElement(React.Fragment, null,
        React.createElement("label", { className: "relative inline-flex items-center" },
            React.createElement("input", __assign({ ref: ref, type: 'checkbox', onChange: onChange, className: clsx(className, 'sr-only peer') }, props)),
            React.createElement("div", { className: "w-11 h-6 bg-zinc-300 rounded-full peer dark:bg-zinc-900 peer-checked:after:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:top-0.5 after:left-[2px] after:bg-[#ffffff] dark:after:bg-[#1c1c1c] peer-checked:dark:after:bg-white after:border-zinc-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all dark:border-zinc-600 peer-checked:bg-brand cursor-pointer disabled:cursor-not-allowed disabled:opacity-50" })),
        messages.length > 0 && Array.isArray(messages) ? (React.createElement(React.Fragment, null, messages.map(function (message, index) { return (React.createElement("p", { className: "text-sm text-[#f43f5e]", key: index }, message)); }))) : (React.createElement("p", { className: "text-sm text-[#f43f5e]" }, messages))));
});
Switch.displayName = 'Switch';
export default Switch;
//# sourceMappingURL=Switch.js.map