import { __assign, __rest } from "tslib";
import React, { useState } from 'react';
export default function TabGroup(_a) {
    var className = _a.className, _b = _a.defaultIndex, defaultIndex = _b === void 0 ? 0 : _b, children = _a.children, props = __rest(_a, ["className", "defaultIndex", "children"]);
    var _c = useState(defaultIndex), activeIndex = _c[0], setActiveIndex = _c[1];
    return (React.createElement("div", __assign({ className: className }, props), React.Children.map(children, function (child) {
        return React.cloneElement(child, {
            activeIndex: activeIndex,
            setActiveIndex: setActiveIndex,
        });
    })));
}
//# sourceMappingURL=TabGroup.js.map