import { __assign, __rest } from "tslib";
import React from 'react';
import clsx from 'clsx';
export default function TabsTrigger(_a) {
    var className = _a.className, children = _a.children, isActive = _a.isActive, onClick = _a.onClick, props = __rest(_a, ["className", "children", "isActive", "onClick"]);
    return (React.createElement("li", __assign({ onClick: onClick, className: clsx('inline-flex items-center justify-center whitespace-nowrap rounded-sm px-3 py-1.5 text-sm font-medium transition-all cursor-pointer', {
            'bg-white text-[#1c1c1c] shadow-sm': isActive,
        }, className) }, props), children));
}
//# sourceMappingURL=TabsTrigger.js.map