import React, { ReactNode } from 'react';
import { ColumnDef } from '@tanstack/react-table';
import { IBasePaginate } from './IPaginate';
interface DataRow {
    [key: string]: any;
}
interface IDatatableProps {
    data: DataRow[];
    columns: ColumnDef<DataRow, any>[];
    renderSubComponent?: (props: {
        row: DataRow;
    }) => React.ReactElement;
    pagePaginate: number;
    setPagePaginate: (page: number) => void;
    meta: IBasePaginate;
    isLoading: boolean;
    tableTopRightHeader?: ReactNode;
    setSearch: (search: string) => void;
}
export default function Datatable({ data, columns, renderSubComponent, pagePaginate, setPagePaginate, meta, isLoading, setSearch, tableTopRightHeader, }: IDatatableProps): ReactNode;
export {};
