import React, { useState, createContext } from 'react';
var AccordionContext = createContext({
    isOpen: false,
    toggle: function () { },
});
var Accordion = function (_a) {
    var children = _a.children;
    var _b = useState(false), isOpen = _b[0], setIsOpen = _b[1];
    var toggle = function () { return setIsOpen(!isOpen); };
    return (React.createElement(AccordionContext.Provider, { value: { isOpen: isOpen, toggle: toggle } },
        React.createElement("div", { className: "border-b border-[#e9f0ff] dark:border-[#8b99a6]" }, children)));
};
export { AccordionContext };
export default Accordion;
//# sourceMappingURL=Accordion.js.map