import { __assign, __rest } from "tslib";
import * as React from 'react';
import clsx from 'clsx';
var BreadcrumbSeparator = function (_a) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    return (React.createElement("li", __assign({ role: "presentation", "aria-hidden": "true", className: clsx('[&>svg]:w-3.5 [&>svg]:h-3.5', className) }, props), children !== null && children !== void 0 ? children : (React.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", fill: "none", viewBox: "0 0 24 24", strokeWidth: 1.5, stroke: "currentColor", className: "size-6" },
        React.createElement("path", { strokeLinecap: "round", strokeLinejoin: "round", d: "m8.25 4.5 7.5 7.5-7.5 7.5" })))));
};
BreadcrumbSeparator.displayName = 'BreadcrumbSeparator';
export default BreadcrumbSeparator;
//# sourceMappingURL=BreadcrumbSeparator.js.map