import { __assign, __rest } from "tslib";
import * as React from 'react';
import { Command as CommandPrimitive } from 'cmdk';
import clsx from 'clsx';
var CommandItem = React.forwardRef(function (_a, ref) {
    var props = __rest(_a, []);
    return (React.createElement(CommandPrimitive.Item, __assign({ ref: ref, className: clsx('relative flex gap-2 select-none items-center rounded-sm px-2 py-1.5 text-sm outline-none data-[disabled=true]:pointer-events-none data-[selected=true]:bg-[#e4e4e7] dark:data-[selected=true]:bg-[#27272a] data-[disabled=true]:opacity-50 [&_svg]:pointer-events-none [&_svg]:size-4 [&_svg]:shrink-0') }, props)));
});
CommandItem.displayName = CommandPrimitive.Item.displayName;
export default CommandItem;
//# sourceMappingURL=CommandItem.js.map