import { __assign, __rest } from "tslib";
import React from 'react';
import { motion } from 'framer-motion';
import clsx from 'clsx';
export default function Dialog(_a) {
    var className = _a.className, children = _a.children, props = __rest(_a, ["className", "children"]);
    return (React.createElement(motion.div, { initial: { opacity: 0 }, animate: { opacity: 1 }, exit: { opacity: 0 }, transition: { duration: 0.3, ease: 'easeInOut' } },
        React.createElement("div", __assign({ className: clsx(className, 'fixed inset-0 backdrop-blur-sm bg-black bg-opacity-30 z-50') }, props), children)));
}
//# sourceMappingURL=Dialog.js.map