import { __assign, __rest } from "tslib";
import * as React from 'react';
import clsx from 'clsx';
var DropdownMenuContent = React.forwardRef(function (_a, ref) {
    var children = _a.children, className = _a.className, props = __rest(_a, ["children", "className"]);
    return (React.createElement("div", __assign({ ref: ref, className: clsx('border border-[#e4e4e7] dark:border-[#27272a] bg-white text-[#18181b] dark:bg-black dark:text-white rounded-md', className) }, props), children));
});
DropdownMenuContent.displayName = 'DropdownMenuContent';
export default DropdownMenuContent;
//# sourceMappingURL=DropdownMenuContent.js.map