import { __assign, __rest } from "tslib";
import * as React from 'react';
import clsx from 'clsx';
var DropdownMenuTrigger = React.forwardRef(function (_a, ref) {
    var className = _a.className, children = _a.children, props = __rest(_a, ["className", "children"]);
    return (React.createElement("button", __assign({ ref: ref, className: clsx('px-4 py-2', className), type: "button" }, props), children));
});
DropdownMenuTrigger.displayName = 'DropdownMenuTrigger';
export default DropdownMenuTrigger;
//# sourceMappingURL=DropdownMenuTrigger.js.map