import { __assign, __rest } from "tslib";
import * as React from 'react';
import { OTPInput } from 'input-otp';
import clsx from 'clsx';
var InputOTP = React.forwardRef(function (_a, ref) {
    var className = _a.className, containerClassName = _a.containerClassName, props = __rest(_a, ["className", "containerClassName"]);
    return (React.createElement(OTPInput, __assign({ ref: ref, containerClassName: clsx('flex items-center gap-2 has-[:disabled]:opacity-50', containerClassName), className: clsx('disabled:cursor-not-allowed', className) }, props)));
});
InputOTP.displayName = 'InputOTP';
export default InputOTP;
//# sourceMappingURL=InputOTP.js.map