import React, { ChangeEvent, InputHTMLAttributes } from 'react';
interface ISwitchProps extends InputHTMLAttributes<HTMLInputElement> {
    className?: string;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
    messages?: string | string[];
}
declare const Switch: React.ForwardRefExoticComponent<ISwitchProps & React.RefAttributes<HTMLInputElement>>;
export default Switch;
