import { __assign, __rest } from "tslib";
import React from 'react';
import clsx from 'clsx';
export default function TabList(_a) {
    var children = _a.children, className = _a.className, activeIndex = _a.activeIndex, setActiveIndex = _a.setActiveIndex, props = __rest(_a, ["children", "className", "activeIndex", "setActiveIndex"]);
    return (React.createElement("div", null,
        React.createElement("ul", __assign({ className: clsx('inline-flex h-10 items-center justify-center rounded-md bg-[#e4e4e7] p-1 text-[#6e7781] dark:bg-[#27272a] dark:text-[#8b99a6]', className) }, props), React.Children.map(children, function (child, index) {
            return React.cloneElement(child, {
                isActive: activeIndex === index,
                onClick: setActiveIndex
                    ? function () { return setActiveIndex(index); }
                    : undefined,
            });
        }))));
}
//# sourceMappingURL=TabList.js.map