import { __assign, __rest } from "tslib";
import React from 'react';
import clsx from 'clsx';
export default function TabPanels(_a) {
    var className = _a.className, children = _a.children, activeIndex = _a.activeIndex, props = __rest(_a, ["className", "children", "activeIndex"]);
    return (React.createElement("div", __assign({ className: clsx(className, 'mt-2') }, props), React.Children.map(children, function (child, index) {
        return activeIndex === index ? child : null;
    })));
}
//# sourceMappingURL=TabPanels.js.map